Subject: Re: randconfig build error with next-20150424, in drivers/gpu/drm/i915

From: Jani Nikula <[email-masked]>
Date: Fri, 24 Apr 2015 20:09:32 +0300

On Fri, 24 Apr 2015, Jim Davis <[email-masked]> wrote:
> Building with the attached random configuration file,
>
> warning: (SND_SOC_INTEL_BYTCR_RT5640_MACH &&
> SND_SOC_INTEL_CHT_BSW_RT5672_MACH &&
> SND_SOC_INTEL_CHT_BSW_RT5645_MACH) selects SND_SST_IPC_ACPI which has
> unmet direct dependencies (SOUND && !M68K && !UML && SND && SND_SOC &&
> ACPI)
>
> drivers/built-in.o: In function `intel_backlight_register':
> (.text+0xfaafa): undefined reference to `backlight_device_register'
> drivers/built-in.o: In function `intel_backlight_unregister':
> (.text+0xfab7d): undefined reference to `backlight_device_unregister'

This is because you end up with:

CONFIG_DRM_I915=y
CONFIG_BACKLIGHT_CLASS_DEVICE=m

which is due to i915 selecting, not depending on, backlight class
device. But we can't just switch to depend in i915, because it creates
circular dependencies across the board, and to fix that we end up with a
patch I proposed about six months ago [1]. See the discussion there, and
also [2]. I think switching from select to depend on is the technically
right fix, but I don't have the time to fight this across all affected
subsystems.

BR,
Jani.

[1] http://mid.gmane.org/[email-masked]
[2] http://mid.gmane.org/[email-masked]

-- 
Jani Nikula, Intel Open Source Technology Center
_______________________________________________
dri-devel mailing list
[email-masked]
http://lists.freedesktop.org/mailman/listinfo/dri-devel